org.apache.tomcat.util.scan

## Class UrlJar

- java.lang.Object
- - org.apache.tomcat.util.scan.AbstractInputStreamJar
  - - org.apache.tomcat.util.scan.UrlJar

- All Implemented Interfaces:
    AutoCloseable, Jar

      public class UrlJar
      extends AbstractInputStreamJar

  Implementation of `Jar` that is optimised for non-file based JAR URLs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlJar(URL jarFileURL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close any resources associated with this JAR.
    `protected NonClosingJarInputStream` | `createJarInputStream()`

    - ### Methods inherited from class org.apache.tomcat.util.scan.AbstractInputStreamJar

      `closeStream, entryExists, exists, getEntryInputStream, getEntryName, getInputStream, getJarFileURL, getLastModified, getManifest, getURL, nextEntry, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlJar

          public UrlJar(URL jarFileURL)

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `Jar`
      Close any resources associated with this JAR.

    - #### createJarInputStream

          protected NonClosingJarInputStream createJarInputStream()
                                                           throws IOException

      Specified by:
        `createJarInputStream` in class `AbstractInputStreamJar`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.